﻿@font-face {
    font-family: 'cairo';
    src: url(/Templates/assets/fonts/Cairo-Regular.ttf), local('Cairo-Regular'), format('ttf');
    font-display: swap;
    font-weight: 100 400;
}

@font-face {
    font-family: 'cairo';
    src: url(/Templates/assets/fonts/Cairo-Medium.ttf), local('Cairo-Regular'), format('ttf');
    font-display: swap;
    font-weight: 500;
}

@font-face {
    font-family: 'cairo';
    src: url(/Templates/assets/fonts/Cairo-SemiBold.ttf), local('Cairo-SemiBold'), format('ttf');
    font-display: swap;
    font-weight: 600;
}

@font-face {
    font-family: 'cairo';
    src: url(/Templates/assets/fonts/Cairo-Bold.ttf), local('Cairo-Bold'), format('ttf');
    font-display: swap;
    font-weight: 700;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'cairo';
}

html, body {
    width: 100%;
    height: 100%;
    font-family: 'cairo';
/*    overflow: hidden;*/
    backdrop-filter: blur(40px) !important;
    background: #ffffffaa !important;
    box-shadow: 0px 0px 30px 0px #D0FFFF4D !important;
}

.login-page {
    width: 100%;
    height: 100%;
    overflow-y: auto;
    display: flex;
    flex-direction: row-reverse;
    background-image: url(/Templates/assets/images/diwan-bg.png);
    background-repeat: no-repeat;
    /* background-position: center 0%; */
    background-position: initial;
    background-size: cover;
}
.denied-page {
    width: 100%;
    height: 100%;
    overflow-y: auto;
    display: flex;
    flex-direction: row-reverse;
    background-image: url(/Templates/assets/images/denied-bg.svg);
    background-repeat: no-repeat;
    /* background-position: center 0%; */
    background-position: initial;
    background-size: cover;
}
    .denied-page::before {
        content: "";
        position: absolute;
        inset: 0;
        background: rgba(255, 255, 255, 0.6); /* عدلي النسبة براحتك */
        z-index: 0;
    }
    .denied-page > * {
        position: relative;
        z-index: 1;
    }
.login-wrapper {
    width: 45%;
    display: flex;
    align-items: center;
    justify-content: center;
    /* padding: 130px; */
    padding: 6rem;
    margin-inline: 12% auto;
}

.login-box {
    width: 100%;
    min-width: 368px;
    max-width: 543px;
    padding: 16px 32px;
    border-radius: 40px;
    backdrop-filter: blur(40px);
    /* background: #ffffffaa; */
    background-color: transparent;
          box-shadow: 0px 0px 30px 0px #D0FFFF4D;
/*    box-shadow: 0px 0px 30px 0px #e2e3e64d !important;*/
    display: flex;
    flex-direction: column;
    gap: 8px;
}
    .login-box form {
        display: flex;
        flex-direction: column;
        gap: 8px;
    }
    .login-box .form-group {
        display: flex;
        flex-direction: column;
        gap: 6px;
        margin-bottom: 0px;
    }
.logo img {
    width: 200px;
    height: 200px;
    display: block;
    margin: auto;
}

.label {
    font-weight: 600;
    font-size: 16px;
    text-align: right;
    color: #000;
    font-family: 'cairo';
    margin-bottom: 4px;
}

.input {
    height: 48px;
    width: 100%;
    padding: 8px 24px;
    border-radius: 12px;
    border: 2px solid #D8D3FF1A;
    background: #0000000D;
    font-size: 15px;
    outline: none;
    font-family: 'cairo';
}

    .input:focus {
        outline: none;
        /* box-shadow: 0 0 0 2px #122241; */
        box-shadow: inset 0 0 2px 5px #ffffffaa;
        border: 2px solid #122241;
    }

.password-wrap {
    position: relative;
}

.show-icon {
    position: absolute;
    left: 15px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
}

.password-wrap {
    position: relative;
}

    .password-wrap .show-icon {
        position: absolute;
        left: 12px;
        top: 50%;
        transform: translateY(-50%);
        cursor: pointer;
    }


        .password-wrap .show-icon img {
            width: 20px;
            height: 20px;
            display: block;
            filter: invert(0%) sepia(0%) saturate(0%) hue-rotate(0deg) brightness(0%) opacity(50%);
        }

.forgot {
    color: #56596D;
    font-size: 14px;
    font-weight: 500;
    text-decoration: underline;
    cursor: pointer;
    display: inline-block;
    font-family: "cairo";
}
    .forgot:hover {
        color: #56596D;
    }
.login-btn {
    height: 54px;
    width: 100%;
    border-radius: 12px;
    background: #0E1A31;
    border: none;
    color: #fff;
    font-size: 18px;
    font-weight: 600;
    cursor: pointer;
    font-family: "cairo";
}

.footer-logo {
    width: 66px;
   /* height: 40px;*/
}

.footer-text {
    text-align: center;
    font-size: 14px;
    font-weight: 600;
    color: #000000B2;
    font-family: "cairo";
    margin-bottom: 0;
}

.login-meta {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0.5em;
    font-family: 'cairo';
    font-weight: 600;
    font-size: 12px;
    padding-block: 8px;
}


.login-options {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 0;
}

.remember-me {
    display: flex;
    align-items: center;
    gap: 6px;
    font-family: "cairo";
    font-size: 14px;
    color: #000000B2;
    cursor: pointer;
    margin-bottom: 0px;
}

    .remember-me input {
        margin: 0;
    }

        .remember-me input[type="checkbox"] {
            background: #0E1A31;
            cursor: pointer;
            accent-color: #0E1A31;
            min-width: 16px;
            min-height: 16px;
        }

.text-danger {
    height: 14px;
    line-height: 1.3;
    font-family: cairo;
    font-size: 15px;
    font-weight: 500;
    letter-spacing: 0.2px;
    display: inline-block;
    color: #C74848 !important;
    text-align: start;
}

input[type="password"]::-ms-reveal,
input[type="password"]::-ms-clear {
    display: none;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
    -webkit-box-shadow: inset 0 0 2px 5px #ffffffaa !important;
/*    box-shadow: 0 0 0 1000px #f2f2f2 inset !important;*/
    box-shadow: inset 0 0 2px 5px #ffffffaa;
    -webkit-text-fill-color: #000 !important;
    caret-color: #000;
    border: 2px solid #0E1A31 !important;
    transition: background-color 9999s ease-in-out 0s;
}


/*.general-error {
    text-align: center;*/
    /*   margin-bottom: 15px; */
    /*font-weight: bold;
    margin-top: 40px;
}*/

::-webkit-scrollbar {
    width: 4px;
}
::-webkit-scrollbar-thumb {
    background-color: #0E1A31dd;
    border-radius: 8px;
}
    ::-webkit-scrollbar-thumb:hover {
        background-color: #0E1A3199;
    }
::-webkit-scrollbar-track {
    background-color: #0E1A3122;
}


/*// loading */

.loading-container {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: #FFFFFF;
    /*    background-color: #ffffffed;*/
    z-index: 99999;
    display: flex;
    align-items: center;
    justify-content: center;
}

    .loading-container.dark-bg {
        background-color: #2c2376;
    }


.logo-loader img {
    width: 60%;
    height: 60%;
    border-radius: 50rem;
    align-items: center;
    transform: translateX(-150px);
}


/* ====== new loading ======*/
.new-loading {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1em;
}

    .new-loading img {
        width: 100px;
        height: 152px;
    }

.loader {
    width: 90px;
    height: 4px;
    /*    background-color: #0004;*/
    background-color: #0000002e;
    position: relative;
    border-radius: 0px;
    overflow: hidden;
    /*    box-shadow: inset 0 0 0 2px rgba(0, 0, 0, 0.05);*/
}

    .loader:after {
        border-radius: 0px;
        content: "";
        position: absolute;
        background-color: #0E1A31;
        left: 0px;
        top: 0px;
        bottom: 0px;
        right: 100px;
        animation: slide 1.5s linear infinite;
        box-shadow: 0 1px 2px rgba(0, 0, 0, 0.2);
    }

@keyframes slide {
    0% {
        right: 80px;
        left: -12px;
    }

    5% {
        left: -12px;
    }

    50% {
        right: -12px;
        left: 80px;
    }

    55% {
        right: -12px;
    }

    100% {
        right: 80px;
        left: -12px;
    }
}


/* ====== /.. new loading ======*/

/* ====== processing loader ======*/
.loading-container.internal {
    background-color: #00000022;
    backdrop-filter: blur(1.1px);
    -webkit-backdrop-filter: blur(1.1px);
}

.internal-loader {
    position: relative;
    width: 50px;
    height: 50px;
    animation: rotate 1s linear infinite;
}

    /* Balls */
    .internal-loader::before,
    .internal-loader::after {
        content: "";
        position: absolute;
        top: 50%;
        left: 50%;
        width: 20px;
        height: 20px;
        border-radius: 50%;
        transform: translate(-50%, -50%);
    }

    /* Ball 1 */
    .internal-loader::before {
        background-color: #ffffff;
        animation: ball1 1s ease-in-out infinite;
    }

    /* Ball 2 */
    .internal-loader::after {
        background-color: #122241;
        animation: ball2 1s ease-in-out infinite;
    }

/* ===== ANIMATIONS ===== */
@keyframes rotate {
    0% {
        transform: rotate(0deg) scale(0.85);
    }

    50% {
        transform: rotate(360deg) scale(1.1);
    }

    100% {
        transform: rotate(720deg) scale(0.85);
    }
}

@keyframes ball1 {
    0% {
        transform: translate(-50%, -50%) translateX(15px);
    }

    50% {
        transform: translate(-50%, -50%) translate(-15px, 15px);
    }

    100% {
        transform: translate(-50%, -50%) translateX(15px);
    }
}

@keyframes ball2 {
    0% {
        transform: translate(-50%, -50%) translateX(-15px);
    }

    50% {
        transform: translate(-50%, -50%) translate(15px, -15px);
    }

    100% {
        transform: translate(-50%, -50%) translateX(-15px);
    }
}


/* ====== /.. processing loader ======*/


/* -----------------------
   Responsive
------------------------- */

@media (max-width: 1024px) {

    .login-wrapper {
        width: 100%;
        padding: 20px;
        margin-inline: auto;
    }
}

@media (max-width: 992px) {
    .login-page {
        background-image: unset;
    }
    .login-page {
        background-position: 85% 0%;
    }

}

@media (min-width: 1500px) {
    .login-box {
        gap: 18px;
    }
    .login-form-wrapper .login-meta {
        width: 100%;
        height: 42px;
        font-size: 14px;
    }
}
@media (min-width: 1800px) {
    .logo img {
        width: 260px;
        height: 260px;
    }
}
.terms-box {
    background: #fff;
    border-radius: 12px;
    padding: 32px 28px;
    box-shadow: 0 15px 40px rgba(0,0,0,.15);
    max-width: 520px;
    width: 100%;
}

.terms-header {
    text-align: center;
    margin-bottom: 24px;
}

.terms-icon {
    width: 46px;
    margin-bottom: 14px;
}

.terms-title {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 14px;
}

    .terms-title h2 {
        margin: 0;
        font-size: 16px;
        font-weight: 700;
        letter-spacing: 1px;
        color: #1d4887;
        text-transform: uppercase;
    }

    .terms-title .line {
        width: 60px;
        height: 2px;
        background-color: #1d4887;
        opacity: .9;
    }

.terms-content {
    max-height:/* 320*/370px;
    overflow-y: auto;
    padding-inline-end: 10px;
    font-size: 14px;
    line-height: 1.9;
    color: #504b49;
    text-align: justify;
    direction: rtl;
    font-family: 'CAIRO';
}
    .terms-content::-webkit-scrollbar {
        width: 6px;
    }

    .terms-content::-webkit-scrollbar-thumb {
        background: #1d4887;
        border-radius: 10px;
    }
    .terms-content h1{
        font-weight: 700;
        color:#000;
    }

    .terms-content h2 {
        font-size: 16.5px;
        font-weight: 700;
        color: #000;
        margin: 18px 0 10px;
        line-height: 30px;
    }

    .terms-content h3 {
        font-size: 15px;
        font-weight: 700;
        color: #000;
        margin: 18px 0 8px;
    }
    .terms-content p {
        font-size: 14px;
        line-height: 1.9;
        color: #777;
        margin-bottom: 10px;
    }

    .terms-content ol,
    .terms-content ul {
        padding-right: 18px;
        margin-bottom: 14px;
    }

    .terms-content li {
        font-size: 14px;
        line-height: 1.8;
        color: #777;
        margin-bottom: 6px;
    }

    .terms-content .ql-ui {
        display: none;
    }
    .terms-content p:empty {
        display: none;
    }

    .terms-content p br:only-child {
        display: none;
    }

    .terms-content strong {
        font-weight: 700;
        color: #444;
    }

    .terms-content em {
        font-style: italic;
    }
